---
title: EffectTiming.endDelay
slug: Web/API/EffectTiming/endDelay
tags:
  - API
  - Animation
  - EffectTiming
  - Experimental
  - KeyframeEffect
  - Property
  - Reference
  - Web Animations
  - animate
  - endDelay
  - waapi
  - web animations api
---
<div>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</div>

<p>The <strong><code>endDelay</code></strong> property of the {{domxref("EffectTiming")}} dictionary (part of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a>) indicates the number of milliseconds to delay after the active period of an animation sequence. The animation's <strong>end time</strong>—the time at which an iteration is considered to have finished—is the time at which the animation finishes an iteration (its initial delay, {{domxref("AnimationEffectTimingReadOnly.delay")}}, plus its duration,{{domxref("AnimationEffectTimingReadOnly.duration", "duration")}}, plus its end delay.</p>

<p>This is useful for sequencing animations based on the end time of another animation; note, however, that many of the sequence effects that will benefit most from this property have not been defined in the specification yet. For now, its main purpose is to represent the value of the <a href="/en-US/docs/Web/SVG">SVG</a> {{SVGAttr("min")}} attribute.</p>

<div class="note">
<p>{{domxref("Element.animate()")}}, {{domxref("KeyframeEffectReadOnly.KeyframeEffectReadOnly", "KeyframeEffectReadOnly()")}}, and {{domxref("KeyframeEffect.KeyframeEffect", "KeyframeEffect()")}} all accept an object of timing properties including <code>endDelay.</code> The value of <code>endDelay</code> corresponds directly to {{domxref("AnimationEffectTimingReadOnly.endDelay")}} in {{domxref("AnimationEffectReadOnly.timing", "timing")}} objects returned by {{domxref("AnimationEffectReadOnly")}}, {{domxref("KeyframeEffectReadOnly")}}, and {{domxref("KeyframeEffect")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>timingProperties</em> = {
  endDelay: <em>delayInMilliseconds</em>
}

<code><em>timingProperties</em>.endDelay = delayInMilliseconds;</code>
</pre>

<h3 id="Value">Value</h3>

<p>A number representing the end delay, specified in milliseconds. The default value is 0.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#end-delay', 'endDelay' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.EffectTiming.endDelay")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Element.animate()")}}, {{domxref("KeyframeEffectReadOnly.KeyframeEffectReadOnly", "KeyframeEffectReadOnly()")}}, and {{domxref("KeyframeEffect.KeyframeEffect", "KeyframeEffect()")}} all accept an object of timing properties including this one.</li>
 <li>The value of this property corresponds to the one in {{domxref("AnimationEffectTimingReadOnly")}} (which is the {{domxref("AnimationEffectReadOnly.timing", "timing")}} object for {{domxref("AnimationEffectReadOnly")}}, {{domxref("KeyframeEffectReadOnly")}}, and {{domxref("KeyframeEffect")}}).</li>
</ul>
